Name:           nvtop
Version:        2.0.4
Release:        %mkrel 1
Summary:    Interactive text-mode GPU process viewer for AMD/Nvidia GPUs
License:        GPLv2+
Group:          Monitoring
URL:                https://github.com/Syllo/nvtop
Source0:        http://ovh.dl.sourceforge.net/htop/%{name}-%{version}.tar.xz
BuildRequires:  desktop-file-utils
BuildRequires:  %{_lib}ncurses-devel
BuildRequires:  %{_lib}ncursesw-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	%name < %version

%description
Nvtop stands for Neat Videocard TOP, a (h)top like task monitor for AMD and NVIDIA GPUs.
It can handle multiple GPUs and print information about them in a htop familiar way.

%prep
%setup -q

%build
%cmake -GNinja -DCMAKE_INSTALL_PREFIX=/usr -DNVIDIA_SUPPORT=ON -DAMDGPU_SUPPORT=ON
%ninja_build

%install
rm -rf %{buildroot}
%ninja_install -C build

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-System-Monitoring" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%{_bindir}
%{_datadir}

%changelog
* Mon Oct 03 2022 - 2.0.4-1pclos2022
- create pkg
